Subject: RE: Question about gcc Linker
From: "Lincoln, W. Terry" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "'Cygwin Mailing List'" <[email-masked]>
Date: Wed, 25 Aug 1999 18:28:08 -0400

nt of UTC. > -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, August 25, 1999 4:41 PM
> To: [email-masked]
> Subject: Re: Question about gcc Linker
> 
> 
> MS implibs cannot be linked using current binutils ;-)
> 
> There is NO support in binutils for COMDAT symbols.
> 
> Static MS libraries/objs can be linked using current
> binutils, but there are some problems even with that.
> combining precompiled static MS libraries/objs (which
> assume msv libc/crt functions) with cygwin gcc compiled code
> will usually fail, you can't mix runtimes.
> 
> Even using mingw32 some of the startup routines
> just aren't there. The only way to guarantee compatibility
> is to buy a copy of vc++ compile the libc libcmt etc...
> using mingw32 gcc (a Major project in itself !-) and
> then link using link.exe.
> 
> On Wed, 25 Aug 1999 12:12:35 -0400, you wrote:
> 
> >On Wed, Aug 25, 1999 at 11:26:31AM -0400, Lincoln, W. Terry wrote:
> >>> What additional libraries do i need and how must I adress 
> them in the
> >>> gcc -l option? I always get a 'no such file or directory' 
> message, when
> >>> I try to add a library.
> >>
> >>You can't link libraries or object files from the Micro$oft 
> format with
> >>Cygwin gcc.  Addressing libraries that are Cygwin such as 
> libXYZ.a is
> >>done with the switch -LXYZ on the gcc line.
> 
> BTW -Ldir -lXYZ will link with dir/libXYZ.a
> the second switch is small ell.
> you will need to copy or link (ln -s) XYZ.lib libXYZ.a
> otherwise ld won't be able to find it.
> 
Sorry, yes I knew that, but got my fingers typing before my brain was fully
engaged. :->

> >
> >That's not entirely true.  Many Microsoft libraries work 
> fine.  You should
> >be able to just specify them on the command line.
> >
> >cgf
> 
> ________________________________________________________
> NetZero - We believe in a FREE Internet.  Shouldn't you?
> Get your FREE Internet Access and Email at
> http://www.netzero.net/download/index.html
> 

W. Terry Lincoln                   \      \   _   /
Senior Engineer                     \      \ |J| /
Ultimate Technology Corporation      \      _|E|_
a Tridex Company (NASDAQ:trdx)        \    |_ S _|
mailto:[email-masked]      \     |U|
http://terrylincoln.isonfire.com        \  / |S| \
http://www.AngelFire.com/ny/TerryLincoln \   | |  \
ICQ# 39362285                             \  | |  
=========================================== ~~~~~
Opinions expressed do not represent the management of UTC. 

--
Want to unsubscribe from this list?
Send a message to [email-masked]